osgSim::AzimRange Class Reference

`#include <Sector>`

Inheritance diagram for osgSim::AzimRange:

## Public Member Functions

| AzimRange ()
void | setAzimuthRange (float minAzimuth, float maxAzimuth, float fadeAngle=0.0f)
void | getAzimuthRange (float &minAzimuth, float &maxAzimuth, float &fadeAngle) const
float | azimSector (const osg::Vec3 &eyeLocal) const

## Protected Attributes

float | _cosAzim
float | _sinAzim
float | _cosAngle
float | _cosFadeAngle

## Constructor & Destructor Documentation

## AzimRange()

osgSim::AzimRange::AzimRange | ( |  | ) |

inline

References _cosAngle, _cosAzim, _cosFadeAngle, and _sinAzim.

Referenced by osgSim::AzimElevationSector::AzimElevationSector(), osgSim::AzimElevationSector::AzimElevationSector(), osgSim::AzimSector::AzimSector(), and osgSim::AzimSector::AzimSector().

## Member Function Documentation

## azimSector()

float osgSim::AzimRange::azimSector | ( | const osg::Vec3 & | eyeLocal | ) | const

inline

References _cosAngle, _cosAzim, _cosFadeAngle, _sinAzim, osg::square(), osg::Vec3f::x(), and osg::Vec3f::y().

## getAzimuthRange()

void osgSim::AzimRange::getAzimuthRange | ( | float & | minAzimuth,
|  | float & | maxAzimuth,
|  | float & | fadeAngle ) const

## setAzimuthRange()

void osgSim::AzimRange::setAzimuthRange | ( | float | minAzimuth,
|  | float | maxAzimuth,
|  | float | fadeAngle = 0.0f )

## Member Data Documentation

## _cosAngle

float osgSim::AzimRange::_cosAngle

protected

Referenced by AzimRange(), and azimSector().

## _cosAzim

float osgSim::AzimRange::_cosAzim

protected

Referenced by AzimRange(), and azimSector().

## _cosFadeAngle

float osgSim::AzimRange::_cosFadeAngle

protected

Referenced by AzimRange(), and azimSector().

## _sinAzim

float osgSim::AzimRange::_sinAzim

protected

Referenced by AzimRange(), and azimSector().

The documentation for this class was generated from the following file:

- Sector